;;; -*- Mode: Lisp; Syntax: Common-Lisp; Package: cl-user -*-

#|

Based on:

DESC: variants/vanilla/langband-vanilla.asd - another system-def for vanilla
Copyright (c) 2001-2002 - Stig Erik Sand

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

|#

(in-package :cl-user)

;; we need certain flags
(eval-when (:execute :load-toplevel :compile-toplevel)
  #+(or cmu allegro sbcl lispworks)
  (pushnew :enough-support-for-langband *features*)
  #+(and clisp langband-development) ;; clisp not ready in debian yet
  (pushnew :enough-support-for-langband *features*)
  )

(defpackage :langband-icfp-system 
  (:use :cl :asdf))

(in-package :langband-icfp-system)

(asdf:defsystem :langband-icfp
    :version "0.0.19"
    :components ((:file "constants")
		 (:file "base" :depends-on ("constants"))
		 (:file "quirks" :depends-on ("base"))
		 (:file "player" :depends-on ("quirks"))
		 (:file "various" :depends-on ("base" "quirks"))
		 (:file "rooms" :depends-on ("base"))
		 (:file "combat" :depends-on ("player"))
		 (:file "levels" :depends-on ("base" "server"))
		 (:file "objects" :depends-on ("base"))
		 (:file "print" :depends-on ("base" "keys"))
		 (:file "spells" :depends-on ("base" "various" "quirks"))
		 (:file "wizard" :depends-on ("spells"))
		 (:file "keys" :depends-on ("wizard" "spells" "server"))
		 (:file "verify" :depends-on ("various"))
                 (:file "server")
	       )
  :depends-on (langband-engine icfp-clocc-port))

#-enough-support-for-langband
(warn "Langband-Icfp has not been tested with '~a ~a', skips compilation."
      (lisp-implementation-type)
      (lisp-implementation-version))

