;;; -*- Mode: Lisp; Syntax: Common-Lisp; Package: org.langband.vanilla -*-

#|

DESC: variants/vanilla/config/flavours.lisp - flavours for vanilla variant
Copyright (c) 2000-2002 - Stig Erik Sand

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

|#

(in-package :org.langband.vanilla)

(define-flavour-type '<potion> :x-char #\!)
(define-flavour-type '<ring> :x-char #\=)
(define-flavour-type '<amulet> :x-char #\")
(define-flavour-type '<staff> :x-char #\_)
(define-flavour-type '<wand> :x-char #\-)
(define-flavour-type '<rod> :x-char #\-)
(define-flavour-type '<mushroom> :x-char #\,)
;; scrolls are defined at the end of this file and in various.lisp


;; the potion flavours
(define-basic-flavour '<potion> "clear" :x-attr #\w :x-char #\!)
(define-basic-flavour '<potion> "light brown" :x-attr #\U :x-char #\!)
(define-basic-flavour '<potion> "icky green" :x-attr #\g :x-char #\!)
(define-basic-flavour '<potion> "azure" :x-attr #\B :x-char #\!)
(define-basic-flavour '<potion> "blue" :x-attr #\b :x-char #\!)
(define-basic-flavour '<potion> "blue speckled" :x-attr #\b :x-char #\!)
(define-basic-flavour '<potion> "black" :x-attr #\D :x-char #\!)
(define-basic-flavour '<potion> "brown" :x-attr #\u :x-char #\!)
(define-basic-flavour '<potion> "brown speckled" :x-attr #\u :x-char #\!)
(define-basic-flavour '<potion> "bubbling" :x-attr #\W :x-char #\!)
(define-basic-flavour '<potion> "chartreuse" :x-attr #\G :x-char #\!)
(define-basic-flavour '<potion> "cloudy" :x-attr #\w :x-char #\!)
(define-basic-flavour '<potion> "copper speckled" :x-attr #\U :x-char #\!)
(define-basic-flavour '<potion> "crimson" :x-attr #\r :x-char #\!)
(define-basic-flavour '<potion> "cyan" :x-attr #\B :x-char #\!)
(define-basic-flavour '<potion> "dark blue" :x-attr #\b :x-char #\!)
(define-basic-flavour '<potion> "dark green" :x-attr #\g :x-char #\!)
(define-basic-flavour '<potion> "dark red" :x-attr #\r :x-char #\!)
(define-basic-flavour '<potion> "gold speckled" :x-attr #\y :x-char #\!)
(define-basic-flavour '<potion> "green" :x-attr #\g :x-char #\!)
(define-basic-flavour '<potion> "green speckled" :x-attr #\g :x-char #\!)
(define-basic-flavour '<potion> "grey" :x-attr #\s :x-char #\!)
(define-basic-flavour '<potion> "grey speckled" :x-attr #\s :x-char #\!)
(define-basic-flavour '<potion> "hazy" :x-attr #\W :x-char #\!)
(define-basic-flavour '<potion> "indigo" :x-attr #\v :x-char #\!)
(define-basic-flavour '<potion> "light blue" :x-attr #\B :x-char #\!)
(define-basic-flavour '<potion> "light green" :x-attr #\G :x-char #\!)
(define-basic-flavour '<potion> "magenta" :x-attr #\r :x-char #\!)
(define-basic-flavour '<potion> "metallic blue" :x-attr #\b :x-char #\!)
(define-basic-flavour '<potion> "metallic red" :x-attr #\r :x-char #\!)
(define-basic-flavour '<potion> "metallic green" :x-attr #\g :x-char #\!)
(define-basic-flavour '<potion> "metallic purple" :x-attr #\v :x-char #\!)
(define-basic-flavour '<potion> "misty" :x-attr #\W :x-char #\!)
(define-basic-flavour '<potion> "orange" :x-attr #\o :x-char #\!)
(define-basic-flavour '<potion> "orange speckled" :x-attr #\o :x-char #\!)
(define-basic-flavour '<potion> "pink" :x-attr #\R :x-char #\!)
(define-basic-flavour '<potion> "pink speckled" :x-attr #\R :x-char #\!)
(define-basic-flavour '<potion> "puce" :x-attr #\v :x-char #\!)
(define-basic-flavour '<potion> "purple" :x-attr #\v :x-char #\!)
(define-basic-flavour '<potion> "purple speckled" :x-attr #\v :x-char #\!)
(define-basic-flavour '<potion> "red" :x-attr #\r :x-char #\!)
(define-basic-flavour '<potion> "red speckled" :x-attr #\r :x-char #\!)
(define-basic-flavour '<potion> "silver speckled" :x-attr #\W :x-char #\!)
(define-basic-flavour '<potion> "smoky" :x-attr #\D :x-char #\!)
(define-basic-flavour '<potion> "tangerine" :x-attr #\o :x-char #\!)
(define-basic-flavour '<potion> "violet" :x-attr #\v :x-char #\!)
(define-basic-flavour '<potion> "vermilion" :x-attr #\r :x-char #\!)
(define-basic-flavour '<potion> "white" :x-attr #\w :x-char #\!)
(define-basic-flavour '<potion> "yellow" :x-attr #\y :x-char #\!)
(define-basic-flavour '<potion> "violet speckled" :x-attr #\v :x-char #\!)
(define-basic-flavour '<potion> "pungent" :x-attr #\R :x-char #\!)
(define-basic-flavour '<potion> "clotted red" :x-attr #\r :x-char #\!)
(define-basic-flavour '<potion> "viscous pink" :x-attr #\R :x-char #\!)
(define-basic-flavour '<potion> "oily yellow" :x-attr #\y :x-char #\!)
(define-basic-flavour '<potion> "gloopy green" :x-attr #\g :x-char #\!)
(define-basic-flavour '<potion> "shimmering" :x-attr #\v :x-char #\!)
(define-basic-flavour '<potion> "coagulated crimson" :x-attr #\r :x-char #\!)
(define-basic-flavour '<potion> "yellow speckled" :x-attr #\y :x-char #\!)
(define-basic-flavour '<potion> "gold" :x-attr #\y :x-char #\!)


;; the mushrooms
(define-basic-flavour '<mushroom> "blue" :x-attr #\b :x-char #\,)
(define-basic-flavour '<mushroom> "black" :x-attr #\D :x-char #\,)
(define-basic-flavour '<mushroom> "black spotted" :x-attr #\D :x-char #\,)
(define-basic-flavour '<mushroom> "brown" :x-attr #\u :x-char #\,)
(define-basic-flavour '<mushroom> "dark blue" :x-attr #\b :x-char #\,)
(define-basic-flavour '<mushroom> "dark green" :x-attr #\g :x-char #\,)
(define-basic-flavour '<mushroom> "dark red" :x-attr #\r :x-char #\,)
(define-basic-flavour '<mushroom> "yellow" :x-attr #\y :x-char #\,)
(define-basic-flavour '<mushroom> "furry" :x-attr #\W :x-char #\,)
(define-basic-flavour '<mushroom> "green" :x-attr #\g :x-char #\,)
(define-basic-flavour '<mushroom> "grey" :x-attr #\s :x-char #\,)
(define-basic-flavour '<mushroom> "light blue" :x-attr #\B :x-char #\,)
(define-basic-flavour '<mushroom> "light green" :x-attr #\G :x-char #\,)
(define-basic-flavour '<mushroom> "violet" :x-attr #\v :x-char #\,)
(define-basic-flavour '<mushroom> "red" :x-attr #\r :x-char #\,)
(define-basic-flavour '<mushroom> "slimy" :x-attr #\s :x-char #\,)
(define-basic-flavour '<mushroom> "tan" :x-attr #\U :x-char #\,)
(define-basic-flavour '<mushroom> "white" :x-attr #\w :x-char #\,)
(define-basic-flavour '<mushroom> "white spotted" :x-attr #\w :x-char #\,)
(define-basic-flavour '<mushroom> "wrinkled" :x-attr #\u :x-char #\,)

;; the wand flavours
(define-basic-flavour '<wand> "aluminium" :x-attr #\B :x-char #\-)
(define-basic-flavour '<wand> "cast iron" :x-attr #\D :x-char #\-)
(define-basic-flavour '<wand> "chromium" :x-attr #\w :x-char #\-)
(define-basic-flavour '<wand> "copper" :x-attr #\U :x-char #\-)
(define-basic-flavour '<wand> "gold" :x-attr #\y :x-char #\-)
(define-basic-flavour '<wand> "iron" :x-attr #\s :x-char #\-)
(define-basic-flavour '<wand> "magnesium" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "molybdenum" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "nickel" :x-attr #\U :x-char #\-)
(define-basic-flavour '<wand> "rusty" :x-attr #\r :x-char #\-)
(define-basic-flavour '<wand> "silver" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "steel" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "tin" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "titanium" :x-attr #\w :x-char #\-)
(define-basic-flavour '<wand> "tungsten" :x-attr #\w :x-char #\-)
(define-basic-flavour '<wand> "zirconium" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "zinc" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "aluminum-plated" :x-attr #\B :x-char #\-)
(define-basic-flavour '<wand> "copper-plated" :x-attr #\U :x-char #\-)
(define-basic-flavour '<wand> "gold-plated" :x-attr #\y :x-char #\-)
(define-basic-flavour '<wand> "nickel-plated" :x-attr #\U :x-char #\-)
(define-basic-flavour '<wand> "silver-plated" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "steel-plated" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "tin-plated" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "zinc-plated" :x-attr #\W :x-char #\-)
(define-basic-flavour '<wand> "mithril-plated" :x-attr #\B :x-char #\-)
(define-basic-flavour '<wand> "mithril" :x-attr #\B :x-char #\-)
(define-basic-flavour '<wand> "runed" :x-attr #\u :x-char #\-)
(define-basic-flavour '<wand> "bronze" :x-attr #\U :x-char #\-)
(define-basic-flavour '<wand> "brass" :x-attr #\U :x-char #\-)
(define-basic-flavour '<wand> "platinum" :x-attr #\w :x-char #\-)
(define-basic-flavour '<wand> "lead" :x-attr #\s :x-char #\-)
(define-basic-flavour '<wand> "lead-plated" :x-attr #\s :x-char #\-)
(define-basic-flavour '<wand> "ivory" :x-attr #\w :x-char #\-)
(define-basic-flavour '<wand> "pewter" :x-attr #\s :x-char #\-)

;; staff flavours

(define-basic-flavour '<staff> "aspen" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "balsa" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "banyan" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "birch" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "cedar" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "cottonwood" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "cypress" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "dogwood" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "elm" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "eucalyptus" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "hemlock" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "hickory" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "ironwood" :x-attr #\u :x-char #\_)
(define-basic-flavour '<staff> "locust" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "mahogany" :x-attr #\u :x-char #\_)
(define-basic-flavour '<staff> "maple" :x-attr #\u :x-char #\_)
(define-basic-flavour '<staff> "mulberry" :x-attr #\u :x-char #\_)
(define-basic-flavour '<staff> "oak" :x-attr #\u :x-char #\_)
(define-basic-flavour '<staff> "pine" :x-attr #\u :x-char #\_)
(define-basic-flavour '<staff> "redwood" :x-attr #\r :x-char #\_)
(define-basic-flavour '<staff> "rosewood" :x-attr #\r :x-char #\_)
(define-basic-flavour '<staff> "spruce" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "sycamore" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "teak" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "walnut" :x-attr #\u :x-char #\_)
(define-basic-flavour '<staff> "mistletoe" :x-attr #\g :x-char #\_)
(define-basic-flavour '<staff> "hawthorn" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "bamboo" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "silver" :x-attr #\W :x-char #\_)
(define-basic-flavour '<staff> "runed" :x-attr #\u :x-char #\_)
(define-basic-flavour '<staff> "golden" :x-attr #\g :x-char #\_)
(define-basic-flavour '<staff> "ashen" :x-attr #\s :x-char #\_)
(define-basic-flavour '<staff> "gnarled" :x-attr #\U :x-char #\_)
(define-basic-flavour '<staff> "ivory" :x-attr #\w :x-char #\_)
(define-basic-flavour '<staff> "willow" :x-attr #\U :x-char #\_)

;; amulet flavours

(define-basic-flavour '<amulet> "amber" :x-attr #\y :x-char #\")
(define-basic-flavour '<amulet> "driftwood" :x-attr #\U :x-char #\")
(define-basic-flavour '<amulet> "coral" :x-attr #\w :x-char #\")
(define-basic-flavour '<amulet> "agate" :x-attr #\W :x-char #\")
(define-basic-flavour '<amulet> "ivory" :x-attr #\w :x-char #\")
(define-basic-flavour '<amulet> "obsidian" :x-attr #\D :x-char #\")
(define-basic-flavour '<amulet> "bone" :x-attr #\w :x-char #\")
(define-basic-flavour '<amulet> "brass" :x-attr #\U :x-char #\")
(define-basic-flavour '<amulet> "bronze" :x-attr #\U :x-char #\")
(define-basic-flavour '<amulet> "pewter" :x-attr #\s :x-char #\")
(define-basic-flavour '<amulet> "tortoise shell" :x-attr #\u :x-char #\")
(define-basic-flavour '<amulet> "golden" :x-attr #\y :x-char #\")
(define-basic-flavour '<amulet> "azure" :x-attr #\B :x-char #\")
(define-basic-flavour '<amulet> "crystal" :x-attr #\w :x-char #\")
(define-basic-flavour '<amulet> "silver" :x-attr #\W :x-char #\")
(define-basic-flavour '<amulet> "copper" :x-attr #\U :x-char #\")
(define-basic-flavour '<amulet> "carved oak" :x-attr #\u :x-char #\")
(define-basic-flavour '<amulet> "dragon tooth" :x-attr #\W :x-char #\")
(define-basic-flavour '<amulet> "ruby" :x-attr #\r :x-char #\")
(define-basic-flavour '<amulet> "mithril" :x-attr #\B :x-char #\")
(define-basic-flavour '<amulet> "adamant" :x-attr #\G :x-char #\")
(define-basic-flavour '<amulet> "flint stone" :x-attr #\s :x-char #\")
(define-basic-flavour '<amulet> "sea shell" :x-attr #\B :x-char #\")
(define-basic-flavour '<amulet> "mother-of-pearl" :x-attr #\W :x-char #\")

;; ring flavours
(define-basic-flavour '<ring> "adamantite" :x-attr #\G :x-char #\=)
(define-basic-flavour '<ring> "alexandrite" :x-attr #\g :x-char #\=)
(define-basic-flavour '<ring> "amethyst" :x-attr #\v :x-char #\=)
(define-basic-flavour '<ring> "aquamarine" :x-attr #\B :x-char #\=)
(define-basic-flavour '<ring> "azurite" :x-attr #\B :x-char #\=)
(define-basic-flavour '<ring> "beryl" :x-attr #\G :x-char #\=)
(define-basic-flavour '<ring> "bloodstone" :x-attr #\r :x-char #\=)
(define-basic-flavour '<ring> "calcite" :x-attr #\w :x-char #\=)
(define-basic-flavour '<ring> "carnelian" :x-attr #\r :x-char #\=)
(define-basic-flavour '<ring> "corundum" :x-attr #\s :x-char #\=)
(define-basic-flavour '<ring> "diamond" :x-attr #\w :x-char #\=)
(define-basic-flavour '<ring> "emerald" :x-attr #\g :x-char #\=)
(define-basic-flavour '<ring> "fluorite" :x-attr #\G :x-char #\=)
(define-basic-flavour '<ring> "garnet" :x-attr #\r :x-char #\=)
(define-basic-flavour '<ring> "granite" :x-attr #\W :x-char #\=)
(define-basic-flavour '<ring> "jade" :x-attr #\G :x-char #\=)
(define-basic-flavour '<ring> "jasper" :x-attr #\u :x-char #\=)
(define-basic-flavour '<ring> "lapis lazuli" :x-attr #\b :x-char #\=)
(define-basic-flavour '<ring> "malachite" :x-attr #\g :x-char #\=)
(define-basic-flavour '<ring> "marble" :x-attr #\w :x-char #\=)
(define-basic-flavour '<ring> "moonstone" :x-attr #\W :x-char #\=)
(define-basic-flavour '<ring> "onyx" :x-attr #\R :x-char #\=)
(define-basic-flavour '<ring> "opal" :x-attr #\W :x-char #\=)
(define-basic-flavour '<ring> "pearl" :x-attr #\w :x-char #\=)
(define-basic-flavour '<ring> "quartz" :x-attr #\W :x-char #\=)
(define-basic-flavour '<ring> "quartzite" :x-attr #\W :x-char #\=)
(define-basic-flavour '<ring> "rhodonite" :x-attr #\R :x-char #\=)
(define-basic-flavour '<ring> "ruby" :x-attr #\r :x-char #\=)
(define-basic-flavour '<ring> "sapphire" :x-attr #\b :x-char #\=)
(define-basic-flavour '<ring> "tiger eye" :x-attr #\y :x-char #\=)
(define-basic-flavour '<ring> "topaz" :x-attr #\y :x-char #\=)
(define-basic-flavour '<ring> "turquoise" :x-attr #\B :x-char #\=)
(define-basic-flavour '<ring> "zircon" :x-attr #\U :x-char #\=)
(define-basic-flavour '<ring> "platinum" :x-attr #\w :x-char #\=)
(define-basic-flavour '<ring> "bronze" :x-attr #\U :x-char #\=)
(define-basic-flavour '<ring> "gold" :x-attr #\y :x-char #\=)
(define-basic-flavour '<ring> "obsidian" :x-attr #\D :x-char #\=)
(define-basic-flavour '<ring> "silver" :x-attr #\W :x-char #\=)
(define-basic-flavour '<ring> "tortoise shell" :x-attr #\u :x-char #\=)
(define-basic-flavour '<ring> "mithril" :x-attr #\B :x-char #\=)
(define-basic-flavour '<ring> "jet" :x-attr #\D :x-char #\=)
(define-basic-flavour '<ring> "engagement" :x-attr #\y :x-char #\=)
(define-basic-flavour '<ring> "plain gold" :x-attr #\y :x-char #\=)


(define-basic-flavour '<rod> "aluminum" :x-attr #\B :x-char #\-)
(define-basic-flavour '<rod> "cast iron" :x-attr #\D :x-char #\-)
(define-basic-flavour '<rod> "chromium" :x-attr #\w :x-char #\-)
(define-basic-flavour '<rod> "copper" :x-attr #\U :x-char #\-)
(define-basic-flavour '<rod> "gold" :x-attr #\y :x-char #\-)
(define-basic-flavour '<rod> "iron" :x-attr #\s :x-char #\-)
(define-basic-flavour '<rod> "magnesium" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "molybdenum" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "nickel" :x-attr #\U :x-char #\-)
(define-basic-flavour '<rod> "rusty" :x-attr #\r :x-char #\-)
(define-basic-flavour '<rod> "silver" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "steel" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "tin" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "titanium" :x-attr #\w :x-char #\-)
(define-basic-flavour '<rod> "tungsten" :x-attr #\w :x-char #\-)
(define-basic-flavour '<rod> "zirconium" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "zinc" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "aluminum-plated" :x-attr #\B :x-char #\-)
(define-basic-flavour '<rod> "copper-plated" :x-attr #\U :x-char #\-)
(define-basic-flavour '<rod> "gold-plated" :x-attr #\y :x-char #\-)
(define-basic-flavour '<rod> "nickel-plated" :x-attr #\U :x-char #\-)
(define-basic-flavour '<rod> "silver-plated" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "steel-plated" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "tin-plated" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "zinc-plated" :x-attr #\W :x-char #\-)
(define-basic-flavour '<rod> "mithril-plated" :x-attr #\B :x-char #\-)
(define-basic-flavour '<rod> "mithril" :x-attr #\B :x-char #\-)
(define-basic-flavour '<rod> "runed" :x-attr #\u :x-char #\-)
(define-basic-flavour '<rod> "bronze" :x-attr #\U :x-char #\-)
(define-basic-flavour '<rod> "brass" :x-attr #\U :x-char #\-)
(define-basic-flavour '<rod> "platinum" :x-attr #\w :x-char #\-)
(define-basic-flavour '<rod> "lead" :x-attr #\s :x-char #\-)
(define-basic-flavour '<rod> "lead-plated" :x-attr #\s :x-char #\-)
(define-basic-flavour '<rod> "ivory" :x-attr #\w :x-char #\-)
(define-basic-flavour '<rod> "pewter" :x-attr #\s :x-char #\-)


;; the scroll functionality is in various.lisp and is compiled. 
;; time to add the scroll flavour type
(define-flavour-type '<scroll> :generator-fn #'van-generate-scroll-flavour
		     :x-char #\?)
